import React from 'react';
import { connect } from 'umi';
import MessageMobileComponent from '../../../mobile/common/MessageMobile';

function MessageMobile({
  dispatch, app, content, sModelsId,
}) {
  function removePane(changePanes, currentPane) {
    dispatch({ type: 'app/removePane', payload: { changePanes, currentPane } });
  }

  const MessageMobile = {
    sModelsId,
    app,
    content,
    dispatch,
    onRemovePane: removePane,
  };
  return (
    <MessageMobileComponent {...MessageMobile} />
  );
}


export default connect(({ app, content }) =>
  ({ app, content }))(MessageMobile);
